Bug 1084586 - Horizontal scrollbars are missing from Dashboard
Summary: Horizontal scrollbars are missing from Dashboard
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2
Hardware: All
OS: All
unspecified
high
Target Milestone: ER04
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-04 18:58 UTC by dsteigne
Modified: 2018-12-05 18:02 UTC (History)
6 users (show)

(edit)
An issue with the Resource and ResourceGroup metric D3 portlets caused chart data that exceeded the boundaries of the portlet to be cut off. There was no way to resize the view to see all the data on the dashboard. The portlet had to be resized manually so all data could be viewed. A fix implemented for the Resource and ResourceGroup metric D3 portlets now sets a fixed width for the graph container div, and provides horizontal scroll-bars when required.
Clone Of:
(edit)
Last Closed: 2014-12-11 14:02:48 UTC


Attachments (Terms of Use)
screenshot to show missing scrollbar (112.69 KB, image/png)
2014-04-04 19:00 UTC, dsteigne
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 778823 None None None Never

Description dsteigne 2014-04-04 18:58:27 UTC
Description of problem:
If you have a metric chart on your dashboard that goes beyond the window size, no horizontal scrollbars are created, so the only way to see the rest of your chart is to resize that window

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Always

Steps to Reproduce:
1. Create a new Dashboard
2. Add a new portlet for a Resource Metric Chart, i.e. Platform resource > Used Memory, notice the wide of the chart.
3. Now add a column, in the new column add another portlet for Resource Metric Chart. I attached a screenshot to demonstrate.

Actual results:
You will not have a horizontal scrollbar, so you can scroll to see the rest of your charts.

Expected results:
A scrollbar

Additional info:

Comment 1 dsteigne 2014-04-04 19:00:00 UTC
Created attachment 882814 [details]
screenshot to show missing scrollbar

Comment 3 Lukas Krejci 2014-08-29 17:23:06 UTC
Assigning to Libor as this might be UI/patternfly related.

Comment 4 Libor Zoubek 2014-09-01 08:59:36 UTC
Not related to patternfly, issue was present in 3.2.0 and remains in 3.3.0 however it should be easy to fix.

Comment 5 Libor Zoubek 2014-09-23 11:25:28 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/aade12c50
time:    2014-09-23 13:24:37 +0200
commit:  aade12c500a1ae648ebcc163913fd0d1bf8b5950
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1084586 - Horizontal scrollbars are missing from Dashboard

         Resource and ResourceGroup metric D3 portlets now set fixed
         width for graph container div and allow horizontal scrollbars
         to appear.

Comment 6 Thomas Segismont 2014-09-23 15:02:29 UTC
Cherry-picked over to release/jon3.3.x

commit a48ebb8e99b19b0bfa57e392dbed2bdf3b6d7f13
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Sep 23 13:20:46 2014 +0200

    Bug 1084586 - Horizontal scrollbars are missing from Dashboard
    
    Resource and ResourceGroup metric D3 portlets now set fixed width for graph
    container div and allow horizontal scrollbars to appear.
    
    (cherry picked from commit aade12c500a1ae648ebcc163913fd0d1bf8b5950)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 7 Simeon Pinder 2014-10-01 21:33:15 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959


Note You need to log in before you can comment on or make changes to this bug.